Page MenuHomePhabricator

[clang] Support __float128 on DragonFlyBSD.
ClosedPublic

Authored by fcambus on Oct 13 2021, 3:14 PM.

Diff Detail

Event Timeline

fcambus requested review of this revision.Oct 13 2021, 3:14 PM
fcambus created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptOct 13 2021, 3:14 PM
Herald added a subscriber: cfe-commits. · View Herald Transcript
mgorny added inline comments.Oct 16 2021, 12:19 AM
clang/lib/Basic/Targets/OSTargets.h
182

Maybe I'm missing something but do you actually need to state this-> explicitly?

fcambus added inline comments.Oct 19 2021, 2:42 PM
clang/lib/Basic/Targets/OSTargets.h
182

Seems like it is necessary, yes. Other targets (Haiku, Linux, OpenBSD, Solaris) use the same if (this->HasFloat128) check, and build fails if I remove the this-> part.

mgorny accepted this revision.Oct 20 2021, 12:13 AM

Ok then.

This revision is now accepted and ready to land.Oct 20 2021, 12:13 AM
This revision was automatically updated to reflect the committed changes.